# Conditional build:
%bcond_without  python2 # CPython 2.x module
%bcond_without  python3 # CPython 3.x module
# TODO:
# - use system fonts (cm*.ttf) and metrics in mpl-data dir?
# - make sure all dependencies that are available for Python3 are build for Python3
#   and included in BR when neccessary
%define		module	matplotlib
Summary:	Matlab(TM) style Python plotting package
Summary(pl.UTF-8):	Pakiet do rysowania w Pythonie podobny do Matlaba(TM)
Name:		python-%{module}
Version:	1.5.3
Release:	1
License:	GPL
Group:		Libraries/Python
Source0:	https://github.com/matplotlib/matplotlib/archive/v%{version}.tar.gz
# Source0-md5:	079d9d8cd9910e00ed1236fb44a518a7
URL:		http://matplotlib.sourceforge.net/
BuildRequires:	rpmbuild(macros) >= 1.710
BuildRequires:	freetype-devel
BuildRequires:	libstdc++-devel
BuildRequires:	ncurses-devel
%if %{with python2}
BuildRequires:	python >= 1:2.6
BuildRequires:	python-PyQt4
BuildRequires:	python-dateutil
BuildRequires:	python-devel
BuildRequires:	python-numpy-devel >= 1:1.0.3
BuildRequires:	python-numpy-numarray-devel
BuildRequires:	python-pygtk-devel
BuildRequires:	python-pytz
# Need for import pyqtconfig needed by qt detection.
BuildRequires:	python-sip-devel
BuildRequires:	python-tkinter
BuildRequires:	python-wxPython
%pyrequires_eq	python-modules
%endif
%if %{with python3}
BuildRequires:	python3 >= 1:3.3
BuildRequires:	python3-2to3
BuildRequires:	python3-PyQt4
BuildRequires:	python3-dateutil
BuildRequires:	python3-devel
BuildRequires:	python3-numpy-devel >= 1:1.0.3
BuildRequires:	python3-numpy-numarray-devel
BuildRequires:	python3-pytz
# Need for import pyqtconfig needed by qt detection.
#BuildRequires:	python3-sip-devel
BuildRequires:	python3-six
BuildRequires:	python3-tkinter
#BuildRequires:	python3-wxPython
%endif
BuildRequires:	rpm-pythonprov
BuildRequires:	tk-devel
Requires:	python-dateutil
Requires:	python-numpy >= 1:1.1
Requires:	python-numpy-oldnumeric
Requires:	python-pytz
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
matplotlib strives to produce publication quality 2D graphics using
matlab plotting for inspiration. Although the main lib is object
oriented, there is a functional interface "pylab" for people coming
from Matlab.

%description -l pl.UTF-8
matplotlib usiłuje tworzyć grafikę 2D o jakości publikacji przy użyciu
wykresów matlaba jako inspiracji. Chociaż główna biblioteka jest
zorientowana obiektowo, jest interfejs funkcyjny "pylab" dla ludzi
przechodzących z Matlaba.

%package -n python3-%{module}
Summary:	Matlab(TM) style Python 3 plotting package
Summary(pl.UTF-8):	Pakiet do rysowania w Pythonie 3 podobny do Matlaba(TM)
Group:		Libraries/Python
Requires:	python3-six
Requires:	python3-dateutil
Requires:	python3-numpy
Requires:	python3-pytz

%description -n python3-%{module}
matplotlib strives to produce publication quality 2D graphics using
matlab plotting for inspiration. Although the main lib is object
oriented, there is a functional interface "pylab" for people coming
from Matlab.

%description -n python3-%{module} -l pl.UTF-8
matplotlib usiłuje tworzyć grafikę 2D o jakości publikacji przy użyciu
wykresów matlaba jako inspiracji. Chociaż główna biblioteka jest
zorientowana obiektowo, jest interfejs funkcyjny "pylab" dla ludzi
przechodzących z Matlaba.

%prep
%setup -q -n %{module}-%{version}

rm -f setup.cfg

%build
export CFLAGS="%{rpmcflags}"

%if %{with python2}
%py_build
%endif

%if %{with python3}
%py3_build
%endif

%install
rm -rf $RPM_BUILD_ROOT

%if %{with python2}
%py_install

%py_ocomp $RPM_BUILD_ROOT%{py_sitedir}
%py_comp $RPM_BUILD_ROOT%{py_sitedir}
%py_postclean

# matplotlib can use system fonts, so drop these copies
rm -f $RPM_BUILD_ROOT%{py_sitedir}/matplotlib/mpl-data/Vera*.ttf

rm -rf $RPM_BUILD_ROOT%{py_sitedir}/%{module}/tests
%endif

%if %{with python3}
%py3_install

%py3_ocomp $RPM_BUILD_ROOT%{py3_sitedir}
%py3_comp $RPM_BUILD_ROOT%{py3_sitedir}

# matplotlib can use system fonts, so drop these copies
rm -f $RPM_BUILD_ROOT%{py3_sitedir}/matplotlib/mpl-data/Vera*.ttf

rm -rf $RPM_BUILD_ROOT%{py3_sitedir}/%{module}/tests
%endif


%clean
rm -rf $RPM_BUILD_ROOT

%if %{with python2}
%files
%defattr(644,root,root,755)
%doc CHANGELOG README.rst
%dir %{py_sitedir}/%{module}
%{py_sitedir}/%{module}/*.py[co]
%attr(755,root,root) %{py_sitedir}/%{module}/*.so
%dir %{py_sitedir}/%{module}/axes
%{py_sitedir}/%{module}/axes/*.py[co]
%dir %{py_sitedir}/%{module}/backends
%{py_sitedir}/%{module}/backends/*.py[co]
%attr(755,root,root) %{py_sitedir}/%{module}/backends/*.so
%dir %{py_sitedir}/%{module}/backends/qt_editor
%{py_sitedir}/%{module}/backends/qt_editor/*.py[co]
%dir %{py_sitedir}/%{module}/backends/Matplotlib.nib
%{py_sitedir}/%{module}/backends/Matplotlib.nib/*.nib
%{py_sitedir}/%{module}/backends/web_backend
%{py_sitedir}/%{module}/compat
%{py_sitedir}/%{module}/delaunay
%{py_sitedir}/%{module}/externals
%{py_sitedir}/%{module}/mpl-data
%{py_sitedir}/%{module}/projections
%{py_sitedir}/%{module}/sphinxext
%{py_sitedir}/%{module}/style
%{py_sitedir}/%{module}/testing
%{py_sitedir}/%{module}/tri

%{py_sitedir}/mpl_toolkits
%{py_sitedir}/pylab.py[co]
%if "%{py_ver}" > "2.4"
%{py_sitedir}/%{module}-*.egg-info
%{py_sitedir}/%{module}-*.pth
%endif
%endif

%if %{with python3}
%files -n python3-%{module}
%defattr(644,root,root,755)
%doc CHANGELOG README.rst
%dir %{py3_sitedir}/%{module}
%{py3_sitedir}/%{module}/*.py
%{py3_sitedir}/%{module}/__pycache__
%attr(755,root,root) %{py3_sitedir}/%{module}/*.so
%dir %{py3_sitedir}/%{module}/axes
%{py3_sitedir}/%{module}/axes/*.py
%{py3_sitedir}/%{module}/axes/__pycache__
%dir %{py3_sitedir}/%{module}/backends
%{py3_sitedir}/%{module}/backends/*.py
%{py3_sitedir}/%{module}/backends/__pycache__
%attr(755,root,root) %{py3_sitedir}/%{module}/backends/*.so
%dir %{py3_sitedir}/%{module}/backends/qt_editor
%{py3_sitedir}/%{module}/backends/qt_editor/*.py
%{py3_sitedir}/%{module}/backends/qt_editor/__pycache__
%dir %{py3_sitedir}/%{module}/backends/Matplotlib.nib
%{py3_sitedir}/%{module}/backends/Matplotlib.nib/*.nib
%{py3_sitedir}/%{module}/backends/web_backend
%{py3_sitedir}/%{module}/compat
%{py3_sitedir}/%{module}/delaunay
%{py3_sitedir}/%{module}/externals
%{py3_sitedir}/%{module}/mpl-data
%{py3_sitedir}/%{module}/projections
%{py3_sitedir}/%{module}/sphinxext
%{py3_sitedir}/%{module}/style
%{py3_sitedir}/%{module}/testing
%{py3_sitedir}/%{module}/tri
%{py3_sitedir}/mpl_toolkits
%{py3_sitedir}/pylab.py
%{py3_sitedir}/__pycache__
%{py3_sitedir}/%{module}-*.egg-info
%{py3_sitedir}/%{module}-*.pth
%endif
%changelog
* Sat Dec 31 2016 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/python-matplotlib.git;a=log;h=master

* Sat Dec 31 2016 Arkadiusz Miśkiewicz <arekm@maven.pl> 1cef0da
- up to 1.5.3

* Wed Dec 28 2016 Arkadiusz Miśkiewicz <arekm@maven.pl> a13ec91
- python 3.6
- release 10 (by relup.sh)

* Sun Nov 29 2015 Jacek Konieczny <jajcus@jajcus.net> 2e97827
- BR: rpmbuild(macros) >= 1.710

* Sat Nov 28 2015 Jacek Konieczny <jajcus@jajcus.net> 0ece82a
- release 9 (by relup.sh)

* Sat Nov 28 2015 Jacek Konieczny <jajcus@jajcus.net> 3a47296
- automatic change: use py_build/py_install macros

* Fri Oct 02 2015 Jan Rękorajski <baggins@pld-linux.org> fae900a
- release 8 (by relup.sh)

* Fri Oct 02 2015 Jan Rękorajski <baggins@pld-linux.org> 5a05aa5
- drop PyQt (qt3) support

* Mon Sep 14 2015 Arkadiusz Miśkiewicz <arekm@maven.pl> cefcfae
- release 7 (by relup.sh)

* Sun Sep 13 2015 Arkadiusz Miśkiewicz <arekm@maven.pl> 911fead
- python 3.5 rebuild
- release 6 (by relup.sh)

* Sun Oct 19 2014 Arkadiusz Miśkiewicz <arekm@maven.pl> 3c1f573
- python 3.4
- release 5 (by relup.sh)

* Sun Jun 01 2014 Arkadiusz Miśkiewicz <arekm@maven.pl> 87cad0d
- tcl rebuild
- release 4 (by relup.sh)

* Tue Oct 29 2013 Arkadiusz Miśkiewicz <arekm@maven.pl> a1700fb
- release 3 (by relup.sh)

* Fri Jul 19 2013 Jacek Konieczny <j.konieczny@eggsoft.pl> 4caaa5c
- python3-matplotlib dependencies fixed

* Wed Jul 17 2013 Jacek Konieczny <j.konieczny@eggsoft.pl> 44b7835
- python3 support added

* Wed Jul 17 2013 Jacek Konieczny <j.konieczny@eggsoft.pl> c8e6996
- Package *.nib files

* Wed Jul 17 2013 Jacek Konieczny <j.konieczny@eggsoft.pl> 1df491b
- Version: 1.2.1

* Mon Feb 13 2012 Adam Gołębiowski <adamg@pld-linux.org> 80a75b8
- updated to 1.1.0

* Tue Feb 07 2012 Arkadiusz Miśkiewicz <arekm@maven.pl> a449231
- release 3

* Tue Dec 20 2011 Arkadiusz Miśkiewicz <arekm@maven.pl> e2ba3cf
- release 2

* Wed Feb 02 2011 zbyniu <zbyniu@pld-linux.org> fba4844
- up to 1.0.1

